=== docs/Makefile ===

all: tutorial.html

tutorial.html: tutorial.texi
	texi2html tutorial.texi

clean:
	rm -f tutorial.html
