=== mutt/Makefile ===
# Makefile for libmutt
# Copyright (C) 2002 Ludovic Courts <ludo@chbouib.org>

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


CC      = gcc
AR      = ar
CTAGS   = ctags
CFLAGS  = -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -Wall -g
LDFLAGS =
SRC     = muttlib.c lib.c mbox.c parse.c rfc822.c rfc2047.c rfc2231.c \
	  from.c date.c recvattach.c mx.c handler.c charset.c hash.c
OBJ     = $(SRC:%.c=%.o)
LIB     = libmutt.a
TEST    = test

all: $(LIB) $(TEST)

$(LIB): $(OBJ)
	$(AR) rcs $@ $^

$(TEST): $(TEST).o $(LIB)
	$(CC) -o $@ $< $(LDFLAGS) -L. -lmutt

tags: $(SRC)
	$(CTAGS) $(SRC)

clean:
	rm -f $(LIB) $(OBJ) $(TEST) $(TEST).o tags cscope.out
