=== debian/changelog ===
util-hurd (0.0.20170102-4) unreleased; urgency=medium

  * control: Replace pkg-config deps with pkgconf.
  * patches/64b: Fix 64bit build.
  * patches/clisp-directory: Use multiarch variable.
  * patches/notice: Use multiarch variable.
  * patches/smbfs-nsl: Drop -lnsl.
  * patches/pptop-fix: Fix build.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Dec 2024 22:31:23 +0000

util-hurd (0.0.20170102-3) unreleased; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * control: Drop cvsfs, gopherfs, httpfs, netio, sbmfs, tarfs old transition
    packages.
  * patches/fix: Fix build.
  * patches/no-settrans: Avoid starting translator on build.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Oct 2023 19:59:09 +0000

util-hurd (0.0.20170102-2) unreleased; urgency=low

  * Use https URL
  * control: Set Vcs-* to salsa.debian.org
  * control: Drop Priority: extra.
  * control: Bump Standards-Version to 4.5.0.
  * control: Add missing pkg-config build-dep
  * Re-enable smbfs
  * debian/patch: build fixes
  * Bump debhelper compatibility to 12

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Aug 2020 21:48:01 +0000

util-hurd (0.0.20170102-1) unreleased; urgency=low

  * Initial release. (Closes: #669647, #669648, #669653, #669654)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Feb 2013 01:48:25 +0000
