=== debian/control ===
Source: util-hurd
Section: utils
Priority: optional
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12),
	autoconf, automake, pkgconf,
	mig [hurd-any],
	gettext, texinfo,
	libncurses5-dev | libncurses-dev,
	zlib1g-dev, libxml2-dev, texi2html, libbz2-dev, libsmbclient-dev
Standards-Version: 4.6.0
Homepage: http://www.gnu.org/software/hurd/hurd/translator/
Vcs-Git: https://salsa.debian.org/hurd-team/util-hurd.git
Vcs-Browser: https://salsa.debian.org/hurd-team/util-hurd

Package: hurd-recommended
Architecture: hurd-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: cvsfs (<< 0.0.20130212~), gopherfs (<< 0.0.20130212~), httpfs (<< 0.0.20130212~), smbfs (<< 0.0.20130212~), tarfs (<< 0.0.20130212~)
Breaks: cvsfs (<< 0.0.20130212~), gopherfs (<< 0.0.20130212~), httpfs (<< 0.0.20130212~), smbfs (<< 0.0.20130212~), tarfs (<< 0.0.20130212~)
Description: Miscellaneous translators
 clisp are Common Lisp bindings for Hurd translators
 .
 cvsfs is a translator allowing you to transparently access the content of
 a CVS repository.
 .
 filter is used in combination with nsmux to access a desired translator
 according to a user-provided name.
 .
 gopherfs is a translator allowing you to access Gopher sites.
 .
 httpfs is a translator allowing you to access http sites.
 .
 jfs is a read-only filesystem for JFS volumes.
 .
 mboxfs is a translator allowing you to access the content of an mbox.
 .
 memfs is a translator stored in memory.
 .
 socketio is a translator for creating socket ports through the filesystem.
 .
 notice executes commands on file change notification.
 .
 nsmux is a translator that mirrors the contents of the directory it is given
 and provides the possibility to apply namespace-based translator selection
 to its contents.
 .
 pith are Perl bindings for Hurd translators
 .
 pptop is a top-like tool, showing an interactive list of running processes.
 .
 run is a translator that emits the output produced by a given command.
 .
 smbfs is a translator allowing to access SMB network shares.
 .
 tarfs is a translator allowing you to transparently access the content of
 an archive.
 .
 xmlfs is a translator allowing you to traverse the content of an XML file.
